Package org.drinkless.tdlib

# Class TdApi.ReaddQuickReplyShortcutMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.QuickReplyMessages>
org.drinkless.tdlib.TdApi.ReaddQuickReplyShortcutMessages

Enclosing class:
  `TdApi`

public static class TdApi.ReaddQuickReplyShortcutMessages extends TdApi.Function<TdApi.QuickReplyMessages>
Readds quick reply messages which failed to add. Can be called only for messages for which messageSendingStateFailed.canRetry is true and after specified in messageSendingStateFailed.retryAfter time passed. If a message is readded, the corresponding failed to send message is deleted. Returns the sent messages in the same order as the message identifiers passed in messageIds. If a message can't be readded, null will be returned instead of the message.

Returns `QuickReplyMessages`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long[]`
  `messageIds`
  Identifiers of the quick reply messages to readd.
  `String`
  `shortcutName`
  Name of the target shortcut.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ReaddQuickReplyShortcutMessages()`
  Default constructor for a function, which readds quick reply messages which failed to add.
  `ReaddQuickReplyShortcutMessages(String shortcutName, long[] messageIds)`
  Creates a function, which readds quick reply messages which failed to add.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### shortcutName

    public String shortcutName
    Name of the target shortcut.

  - ### messageIds

    public long[] messageIds
    Identifiers of the quick reply messages to readd. Message identifiers must be in a strictly increasing order.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ReaddQuickReplyShortcutMessages

    public ReaddQuickReplyShortcutMessages()
    Default constructor for a function, which readds quick reply messages which failed to add. Can be called only for messages for which messageSendingStateFailed.canRetry is true and after specified in messageSendingStateFailed.retryAfter time passed. If a message is readded, the corresponding failed to send message is deleted. Returns the sent messages in the same order as the message identifiers passed in messageIds. If a message can't be readded, null will be returned instead of the message.

    Returns `QuickReplyMessages`

  - ### ReaddQuickReplyShortcutMessages

    public ReaddQuickReplyShortcutMessages(String shortcutName, long[] messageIds)
    Creates a function, which readds quick reply messages which failed to add. Can be called only for messages for which messageSendingStateFailed.canRetry is true and after specified in messageSendingStateFailed.retryAfter time passed. If a message is readded, the corresponding failed to send message is deleted. Returns the sent messages in the same order as the message identifiers passed in messageIds. If a message can't be readded, null will be returned instead of the message.

    Returns `QuickReplyMessages`

    Parameters:
      `shortcutName` - Name of the target shortcut.
      `messageIds` - Identifiers of the quick reply messages to readd. Message identifiers must be in a strictly increasing order.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.QuickReplyMessages>`
    Returns:
      this.CONSTRUCTOR